Android - Error styles.xml cuando actualizo el SDK

   
Vista:

Error styles.xml cuando actualizo el SDK

Publicado por Kevin (1 intervención) el 14/12/2014 16:06:31
Buenas,

Mi problema es este cuando he actualizado el SDK de android me deja de funcionar el eclipse, al crear un nuevo proyecto no me genera ni el fichero style.xml en la carpeta values ni las carpetas inferiores a esa y como consecuencia tampoco me genera los fichero java de src, ni el de layout.

He mirado de actualizar el plugin ADT de eclipse pero ya esta en su ultima versión. Ya no se que hacer más, soy un estudiante y a mi profesor de programación también le ha pasado y no sabe como solucionar-lo.

Aquí dejo unas capturas de los errores.

http://imgur.com/a/SDd8B

Al no generarse el styles.xml me da error en el AndroidManifest por que dice que no existe el recurso @style/AppTheme como puede ser lógico. También decir que creo los proyectos con todos los valores en el mismo API para que no pida librerías de compatibilidad por si fuera eso el problema pero nada sigue sin funcionar.

Y por último también decir que he probado de instalar un eclipse limpio, luego plugin ADT y luego vincular-lo a el SDK, tanto en windows como en ubuntu he probado esto y nada.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder
Imágen de perfil de Francisco

Error styles.xml cuando actualizo el SDK

Publicado por Francisco (186 intervenciones) el 16/12/2014 20:00:57
A mi me pasaba lo mismo casi me vuelvo loco ,lo que hice después de consultar por internet por varios sitios
Yo creo que el error viene del api 21

Tienes instalado el api 21 pues desinstálalo
Crea el nuevo proyecto con api mínima de 8 por ejemplo y la máxima la mayor `pero que no sea api 21
parece que tenga errores .
Si ves que aun sigue dándote errores desístala eclipse vuelve a instalarlo ,pero no instales la api 21.

Crea el nuevo proyecto con api mínima de 8 por ejemplo y la máxima la mayor `pero que no sea api 21

Y lo pruebas
ya me dices si funciona
Saludos......
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Error styles.xml cuando actualizo el SDK

Publicado por Kevin (1 intervención) el 16/12/2014 20:28:28
Buenas,

Te comento ya hemos descubierto porque no funciona, se debe a que el ADT(Plugin de eclipse) esta en la versión 23 y tiene que ser la misma versión que el SDK Tools así que todo es debido a que al actualizar se mete el SDK Tools 24 que por lo que he visto solo es compatible el Android Studio.

La solución... ir a donde se descarga el SDK Tools de android (http://developer.android.com/intl/es/sdk/index.html#Other)
Y elegir la descarga que queramos

http://dl.google.com/android/android-sdk_r24.0.1-windows.zip

editamos nosotros a mano el 24 por el 23... y nos podemos descargar la 23, y por lo tanto la url acaba quedando:

http://dl.google.com/android/android-sdk_r23.0.1-windows.zip

Y ahora podemos volver a trabajar y esperar a que google se de cuenta que la gente que trabaja con eclipse es por algo ya que android studio según en que ordenador(por ejemplo los de mi instituto) tarda 10 minutos en crear un proyecto.

Saludos, espero que también te sirva.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar
Imágen de perfil de francisco

Error styles.xml cuando actualizo el SDK

Publicado por francisco (186 intervenciones) el 16/12/2014 21:26:15
Vale me apunto esa solución
Saludos...
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar
Imágen de perfil de Francisco

Error styles.xml cuando actualizo el SDK

Publicado por Francisco clave_com@hotmail.com (186 intervenciones) el 24/05/2015 12:27:26
Hola que hay de nuevo
Tengo problemas con eclipse no me lanza las aplicaciones en el emulador.
desde que ha salido android Studio,eclipse no funciona como antes
podrías decirme ela versión de eclipse que tienes instalada y el SDK de android.
ya que no encuentro la manera de hacer que compile las aplicaciones,ya que vosotros lo habéis instalado hace poco
A ver si instalando de nuevo puedo seguir con esto de android.
llevo una semana intentándolo pero no hay manera
gracias por todo.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar